Table of Contents

Class: POP3 | Twisted-0.19.0/twisted/protocols/pop3.py
--- | ---
Base Classes |
--- | ---
basic.LineReceiver
Methods |
--- | ---
authenticateUserAPOP connectionMade do_APOP do_DELE do_LIST do_QUIT do_RETR | do_TOP do_UIDL failResponse getMessageFile lineReceived processCommand successResponse
| authenticateUserAPOP
    authenticateUserAPOP (
            self,
            user,
            digest,
            )
| connectionMade
    connectionMade ( self )
| do_APOP
    do_APOP (
            self,
            user,
            digest,
            )
| do_DELE
    do_DELE ( self,  i )
| do_LIST
    do_LIST ( self,  i=None )
| do_QUIT
    do_QUIT ( self )
| do_RETR
    do_RETR ( self,  i )
| do_TOP
    do_TOP (
            self,
            i,
            size,
            )
| do_UIDL
    do_UIDL ( self,  i=None )
| failResponse
    failResponse ( self,  message='' )
| getMessageFile
    getMessageFile ( self,  i )
| lineReceived
    lineReceived ( self,  line )
| processCommand
    processCommand (
            self,
            command,
            *args,
            )
Exceptions |
--- | ---
POP3Error( "not authenticated yet: cannot do %s" % command )
| successResponse
    successResponse ( self,  message='' )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0